Create an API token
POST
/api/v1/organizations/{orgID}/api-tokens
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/api-tokens';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","scopes":["example"],"expires_at":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/api-tokens \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "scopes": [ "example" ], "expires_at": "example" }'Creates a new API token. The raw token secret is returned only in this response and is never retrievable again.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
scopes
Array<string>
expires_at
Optional expiry timestamp (RFC 3339).
string | null
Example generated
{ "name": "example", "scopes": [ "example" ], "expires_at": "example"}Responses
Section titled “ Responses ”Token created. Contains the one-time raw secret.
Media type application/json
object
id
required
string format: uuid
org_id
required
string format: uuid
name
required
string
prefix
required
The non-secret token prefix, for display/identification.
string
scopes
required
Array<string>
last_used_at
string | null format: date-time
expires_at
string | null format: date-time
created_at
required
string format: date-time
token
required
The raw API token (aether_<hex>). Shown only once, at creation.
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "org_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "prefix": "example", "scopes": [ "example" ], "last_used_at": "2026-04-15T12:00:00Z", "expires_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "token": "example"}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}Request validation failed.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}